import type { MaybeRefOrGetter } from 'vue';
import type { ApiFetchOptions } from './composables/$api';
export declare function headersToObject(headers?: HeadersInit): Record<string, string>;
export declare function serializeMaybeEncodedBody(value: ApiFetchOptions['body']): Promise<string | Record<string, any> | null | undefined>;
export declare function deserializeMaybeEncodedBody(value: ApiFetchOptions['body']): Promise<string | FormData | Record<string, any> | null | undefined>;
export declare function resolvePathParams(path: string, params?: Record<string, MaybeRefOrGetter<unknown>>): string;
